Subject: bug#16009: Apache Bug?

From: "Dan Thorpe" <[email-masked]>
Date: Sat, 30 Nov 2013 04:17:39 -0000

Hi,

Lately I’ve been getting a lot of the following in my error_log:

    [Fri Nov 29 20:44:41.318847 2013] [core:notice] [pid 2307] AH00051: child pid 7504 exit signal Segmentation fault (11), possible coredump in /usr/local/apache
    [Fri Nov 29 20:44:41.318937 2013] [core:notice] [pid 2307] AH00051: child pid 7623 exit signal Segmentation fault (11), possible coredump in /usr/local/apache
    [Fri Nov 29 20:44:43.324859 2013] [core:notice] [pid 2307] AH00051: child pid 7724 exit signal Segmentation fault (11), possible coredump in /usr/local/apache

I’ve used gdb to analyse the core dump file and it tells me the following:

    Core was generated by `/usr/local/apache/bin/httpd -k start -DSSL'.
    Program terminated with signal 11, Segmentation fault.
    #0  0x00007fcc9b259798 in apr_uri_parse () from /usr/local/apache/lib/libaprutil-1.so.0

Which looks like libtool is causing the problem?

I’m running CentOS 6.4 with PHP 5.4.22

Libtool Version: 2.2.6b

What should I do about this?

Many Thanks,
-Dan Thorpe